System Requirements

Overview

 To build and manipulate 3D document formats, the machine that Aspose.3D for .NET runs on doesn’t need to have modeling and rendering software installed. Aspose.3D for .NET API also incorporates document generation engine.

Supported Operating System

Windows

  • Microsoft Windows 2003 Server ( x64, x86)
  • Microsoft Windows 2008 Server ( x64, x86)
  • Microsoft Windows 2012 Server ( x64, x86)
  • Microsoft Windows 2012 R2 Server ( x64, x86)
  • Microsoft Windows 2016 Server ( x64, x86)
  • Microsoft Windows 2019 Server ( x64, x86)
  • Microsoft Windows Vista ( x64, x86)
  • Microsoft Windows XP ( x64, x86)
  • Microsoft Windows 7 ( x64, x86)
  • Microsoft Windows 8, 8.1 ( x64, x86)
  • Microsoft Windows 10 ( x64, x86)
  • Microsoft Azure

macOS

  • Mac OS X x64 (10.12+) 

Linux

  • Linux x64 ( 6, 7 ,27, 9, 8.7+, 18.04, 16.04, 14.04, 18, 17, 42.3+, 12 SP2+)

Furthermore, any operating system that can install Mono(.NET 4.0 Framework support) or use .NET core can use Aspose.3D for .NET.

Rendering

OpenGL

Aspose.3D for .NET requires the system that has OpenGL 4.3 support, according to Wikipedia, the supported hardware:

  • NVIDIA Ge-Force 400 series and newer
  • AMD Radeon HD 5000 Series and newer   
  • Intel HD Graphics in Intel Haswell processors and newer

Vulkan

Aspose.3D for .NET requires Vulkan x64 platform, x86 is not supported.

  • AMD Radeon 7700 series and newer
  • NVIDIA GeForce 600 series and newer
  • Intel Skylake and newer

Development Environments

You can use Aspose.3D for .NET to develop applications in any development environment that targets the .NET platform, but the following environments are explicitly supported:

  • Microsoft Visual Studio 2010
  • Microsoft Visual Studio 2011
  • Microsoft Visual Studio 2012
  • Microsoft Visual Studio 2013
  • Microsoft Visual Studio 2015
  • Microsoft Visual Studio 2017
  • Microsoft Visual Studio 2019

Supported .NET Framework Versions

The following .NET Framework versions are supported:

  • .NET Framework 4.0
  • .NET Framework 4.0_ClientProfile
  • .NET Framework 4.5.0
  • .NET Framework 4.5.1
  • .NET Framework 4.5.2
  • .NET Framework 4.6.0
  • .NET Framework 4.6.2
  • .NET Framework 4.5.0
  • .NET Framework 4.5.1
  • .NET Framework 4.6.0
  • .NET Framework 4.6.2
  • .NET Framework 4.7
  • .NET Framework 4.7.2
  • .NET Standard 2.0 (.NET Core 2.0/2.1)